﻿using System.Net;
using System.Web;

namespace GerkePreussner.Blog.ReverseProxy
{
    public class AsyncState
    {
        /// <summary>
        /// Holds a reference to the HTTP context of the local request.
        /// </summary>

        public HttpContext LocalContext;

        /// <summary>
        /// Holds the local website URL.
        /// </summary>

        public string LocalWebsite;

        /// <summary>
        /// Holds a reference to the remote HTTP request.
        /// </summary>

        public HttpWebRequest RemoteRequest;

        /// <summary>
        /// Holds the remote request URL.
        /// </summary>

        public string RemoteUrl;

        /// <summary>
        /// Holds the remote website URL.
        /// </summary>

        public string RemoteWebsite;
    }
}
